<template>
    <div
        v-if="shop"
        class="push-notification-container"
    >
        <div class="modal-body-welcome">
            <div class="welcome-img">
                <img
                    :src="welcome.logo ? welcome.logo : '/images/welcome-push-img.jpg'"
                    class="welcome-push-img"
                    alt=""
                >
            </div>
            <div>
                <div v-html="replaceText(welcome.title)" />
                <div>
                    <span v-html="replaceText(welcome.text)" />
                    <a
                        href=""
                        v-html="replaceText(welcome.url)"
                    />
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import shop from "../../../../mixins/shop.service";

export default {
    name: "WelcomeCartExample",
    mixins: [shop],
    props: ['welcome'],
    data() {
        return {
            shop: null,
            code: Math.random().toString(36).slice(2, 8).toUpperCase(),
        }
    },
    mounted() {
      this.loadShop()
    },
    methods: {
        async loadShop() {
            this.shop = await this.getShop()
        },
        replaceText(text) {
            text = text.replace(/{siteName}/g, this.shop.custom_name || this.shop.site_name);
            text = text.replace(/{discountValue}/g, this.welcome.automatic_discount_value);
            text = text.replace(/{discountCode}/g, this.welcome.automatic_discount_enabled == false ? this.welcome.code : this.code)
            text = text.replace(/{storeEmail}/g,  this.shop.custom_email || this.shop.email || 'Email');

            return text;
        }
    }
}
</script>

<style scoped lang="scss">

.push-notification-container {
    font-family: "Segoe UI", Arial, Helvetica, sans-serif;
    font-size: 14px;
    display: inline-flex;
    margin-top: 40px;
    width: 100%;
    max-width: 360px;
    height: auto;
    border: 1px solid #f0f0f0;
    padding: 10px;
    -webkit-box-shadow: 0 3px 3px rgb(0 0 0 / 20%);
    box-shadow: 0 3px 3px rgb(0 0 0 / 20%);
    background: #ffffff;
    text-align: left;
}

.modal-body-welcome {
    display: flex;
    font-weight: 500;

    span {
        font-size: 12px;
        margin: 5px 0;
    }

    a {
        color: #888888;
        text-decoration: none;
        font-size: 12px;
        display: block;
    }
}

.welcome-push-img {
    max-width: 85px;
    max-height: 85px;
    margin-right: 15px;
}

</style>
